%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_with    python2
%bcond_without python3
%else
%bcond_without python2
%bcond_with    python3
%endif

%global pypi_name cursive

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        8%{?dist}
Summary:        OpenStack-specific validation of digital signatures

License:        ASL 2.0
URL:            https://github.com/openstack/cursive
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Cursive implements OpenStack-specific validation of digital signatures.

The cursive project contains code extracted from various OpenStack
projects for verifying digital signatures. Additional capabilities will be
added to this project in support of various security features.

%if %{with python2}
%package -n     python2-%{pypi_name}
Summary:        Cursive implements OpenStack-specific validation of digital signatures
%{?python_provide:%python_provide python2-%{pypi_name}}
BuildRequires:  python2-devel
BuildRequires:  python2-coverage >= 3.6
BuildRequires:  python2-hacking
BuildRequires:  python2-oslotest >= 1.10.0
BuildRequires:  python2-pbr >= 1.8
BuildRequires:  python2-setuptools
BuildRequires:  python2-subunit >= 0.0.18
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 1.4.0
# Required for documentation
BuildRequires:  python2-oslo-sphinx >= 2.5.0
BuildRequires:  python2-reno
BuildRequires:  python2-sphinx
# Required for tests
BuildRequires: python2-castellan
BuildRequires: python2-cryptography
BuildRequires: python2-oslo-log
BuildRequires: python2-oslo-serialization
BuildRequires: python2-oslo-utils

Requires:      python2-castellan
Requires:      python2-cryptography
Requires:      python2-lxml >= 2.3
Requires:      python2-netifaces >= 0.10.4
Requires:      python2-oslo-log
Requires:      python2-oslo-serialization >= 1.10.0
Requires:      python2-oslo-utils
Requires:      python2-oslo-i18n >= 2.1.0
Requires:      python2-six >= 1.9.0

%description -n python2-%{pypi_name}
Cursive implements OpenStack-specific validation of digital signatures.

The cursive project contains code extracted from various OpenStack
projects for verifying digital signatures. Additional capabilities will be
added to this project in support of various security features.
%endif

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        Cursive implements OpenStack-specific validation of digital signatures
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-coverage >= 3.6
BuildRequires:  python3-hacking
BuildRequires:  python3-oslotest >= 1.10.0
BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-setuptools
BuildRequires:  python3-subunit >= 0.0.18
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 1.4.0
# Required for documentation
BuildRequires:  python3-oslo-sphinx >= 2.5.0
BuildRequires:  python3-reno
BuildRequires:  python3-sphinx
# Required for tests
BuildRequires:  python3-castellan
BuildRequires:  python3-cryptography
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils

Requires:       python3-castellan
Requires:       python3-cryptography
Requires:       python3-lxml >= 2.3
Requires:       python3-netifaces >= 0.10.4
Requires:       python3-oslo-log
Requires:       python3-oslo-serialization >= 1.10.0
Requires:       python3-oslo-utils
Requires:       python3-oslo-i18n >= 2.1.0
Requires:       python3-six >= 1.9.0

%description -n python3-%{pypi_name}
Cursive implements OpenStack-specific validation of digital signatures.

The cursive project contains code extracted from various OpenStack
projects for verifying digital signatures. Additional capabilities will be
added to this project in support of various security features.
%endif

%package -n python-%{pypi_name}-doc
Summary:        cursive documentation
%description -n python-%{pypi_name}-doc
Documentation for cursive

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if %{with python2}
%py2_build
# generate docs
%{__python2} setup.py build_sphinx
%endif
%if %{with python3}
%py3_build
# generate docs
%{__python3} setup.py build_sphinx
%endif
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%if %{with python3}
%py3_install
%endif
%if %{with python2}
%py2_install
%endif

%check
%if %{with python2}
PYTHON=python2 %{__python2} setup.py test
%endif
%if %{with python3}
rm -rf .testrepository
PYTHON=python3 %{__python3} setup.py test
%endif

%if %{with python2}
%files -n python2-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 01 2018 Javier Peña <jpena@redhat.com> - 0.1.2-7
- Removed Python 2 package from Fedora 30+ (bz#1634641)

* Tue Aug 07 2018 Javier Peña <jpena@redhat.com> - 0.1.2-6
- Fixed rawhide build (bz#1605647)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 10 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.2-1
- Upstream 1.1.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-2
- Rebuild for Python 3.6

* Thu Sep 01 2016 Javier Peña <jpena@redhat.com> - 0.1.1-1
- Initial package.
